Skip to main content

verifymessage

POST

Verifies a message signed with a Bitcoin address and returns the result as a boolean.

📘 Only signatures created with a P2PKH address can be verified.

param[0]
addressstringrequired
The Bitcoin address used for the signature.
param[1]
signaturestringrequired
The base 64 encoded signature provided by the signer.
param[2]
messagestringrequired
The message that was signed.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "verifymessage",
"params": [
"1D1ZrZNe3JUo7ZycKEYQQiQAWd9y54F4XX",
"H9L5yLFjti0QTHhPyFrZCT1V/MMnBtXKmoiKDZ78NDBjERki6ZTQZdSMCtkgoNmp17By9ItJr8o7ChX0XxY91nk=",
"my message"
]
}'